div.word_wrap{
	  word-break: break-all;
   position: relative;
}

div.plain {
   position: relative;
}

@import "https://fonts.googleapis.com/css?family=Raleway";
* { box-sizing: border-box; }

.highlight { 
    background-color: rgba(200,155,155,0.2); 
}



#status {
	opacity: 0.0;
	font-size: 200%;
	padding: 50px;
	text-align: center;
    border-color: #ebccd1;
    border: 3px solid #b94442; 
    border-radius: 50px;
    color: #b94442;
    background-color: rgba(200,155,155,0.7); 
    position: fixed;
    top:35%;
    left:55%;
    transform: translate(-50%,-50%);
    -webkit-transform: translate(-50%,-50%);
}

.timestamp {
  display: none;
  font-size: 12px;
}


/* ---------- hero image and text ------------ */

.hero-image {
  /* height: 20%; */
  background-position: center;
  background-repeat: no-repeat;
  background-color: #666666; 
  background-size: cover;
  position: relative;
}

.hero-text {
  /* width: 30%; */
  text-align: center;
  position: absolute;
  left: 50%;
  transform: translate(-50%, 0%);
  color: white;
  border-radius: 50px;
  padding-left: 20px;
  padding-right: 20px;
}

/*
.hero-text:hover {
	background-color: yellow;
}
*/
input.headertext[type="text"]{
  background-color: transparent;
  text-align: center;
  color: white;
}


    /* phone looking vertical */
@media (max-width: 500px) {
	.hero-text {
		width: 100%;
		-webkit-text-size-adjust: 60%;
	}
	.hero-image { height: 200px; }
	.overallcomment { width: 300px; }
	.comment { width: 100%; }

	.iframe_container {
		width: 350px;
		height: 250px;
	}
}

    /* phone looking horizontal */
@media (max-width: 1000px)  and (min-aspect-ratio: 1/1) {
	.hero-text {
		width: 60%;
		-webkit-text-size-adjust: 60%;
	}
	.hero-image { height: 250px; }
	.overallcomment { width: 400px; }
	.comment { width: 85%; }

	.iframe_container {
		width: 450px;
		height: 350px;
	}
}


    /* medium size device looking horizontal */
@media (min-width: 501px) and (max-width: 800px) {
	.hero-text {
		width: 80%;
		-webkit-text-size-adjust: 80%;
	}
	.hero-image { height: 225px; }
	.overallcomment { width: 400px; }
	.comment { width: 85%; }

	.iframe_container {
		width: 450px;
		height: 350px;
	}
}

    /* large desktop/laptop screen looking horizontal */
@media (min-width: 801px) and (max-width: 1100px) {
	.hero-text {
		width: 50%;
	}
	.hero-image { height: 250px; }
	.overallcomment { width: 500px; }
	.comment { width: 85%; }

	.iframe_container {
		width: 650px;
		height: 500px;
	}
}


    /* large desktop/laptop screen looking horizontal */
@media (min-width: 1101px) {

	.hero-text { width: 35%; }
	.hero-image { height: 250px; }
	.overallcomment { width: 600px; }
	.comment { width: 85%; }

	.iframe_container {
		width: 800px;
		height: 600px;
	}
}


/* ------------ Sign-in form ----------------- */

#contactForm { 
  display: none;
  border: 6px solid salmon; 
  padding: 2em;
  width: 400px;
  text-align: center;
  background: #fff;
  position: fixed;
  top:50%;
  left:50%;
  transform: translate(-50%,-50%);
  -webkit-transform: translate(-50%,-50%);
}

   /*  alternate form for other TBD uses   */
#alternateForm { 
  display: none;
  border: 6px solid salmon; 
  padding: 2em;
  width: 600px;
  text-align: center;
  background: #fff;
  position: fixed;
  top:50%;
  left:50%;
  transform: translate(-50%,-50%);
  -webkit-transform: translate(-50%,-50%);
}

   /*   button on sign-in form   */
.formBtn { 
  width: 100px;
  display: inline-block;
  background: teal;
  color: #fff;
  font-weight: 100;
  font-size: 1.2em;
  border: none;
  height: 30px;
}


/* ------------ sign-in icon/text ----------- */

.signin_img{
  display: inline-block;
  vertical-align: middle;
  width: 40px;
}
.signin_name {
  display: inline-block;
  vertical-align: middle;
}

#loginusername {
  display: inline;
	padding: 8px;
    border-radius: 20px;
	font-weight: bold;
}

#administrator {
  display: none;
	padding: 8px;
  color: #ff4040;
	font-weight: bold;
	font-style: italic;
}

/* ------------ Acceptance buttons ---------- */


   /* green/yes button */
.btn_green{
	background-color: #aaa;
	padding: 4px 8px;
	margin: 6px 0;
	display: inline-block;
	border: 1px solid #ccc;
	border-radius: 6px;
	box-sizing: border-box;
	-webkit-transition-duration: 0.4s; 
	transition-duration: 0.4s;
	color: #fff;

	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
}
.btn_green:hover {
	background: #8EA;
	color: #fff;
	border: 1px solid #fff;
}

   /* red/no button */
.btn_red{
	background: #aaa;
	padding: 4px 8px;
	margin: 6px 0;
	display: inline-block;
	border: 1px solid #ccc;
	border-radius: 6px;
	box-sizing: border-box;
	-webkit-transition-duration: 0.4s; 
	transition-duration: 0.4s;
	color: #fff;
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
}
.btn_red:hover {
	background: #E8A;
	color: #fff;
	border: 1px solid #fff;
}

   /* yellow/maybe button */
.btn_yellow{
	background: #aaa;
	padding: 4px 8px;
	margin: 6px 0;
	display: inline-block;
	border: 1px solid #ccc;
	border-radius: 6px;
	box-sizing: border-box;
	-webkit-transition-duration: 0.4s; 
	transition-duration: 0.4s;
	color: #fff;
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
}
.btn_yellow:hover {
	background: #EE9;
	color: #fff;
	border: 1px solid #fff;
}


/* ------------ table text ------------------ */

input.tablecomment[type="text"]{
    background-color: transparent;
    border: 0px;
    outline: none;
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
    width:5px;
    color: #404040;
	font-size: initial;

	padding: 6px 6px;
	border-radius: 6px;
}

/* ------------ Comment sections ------------ */

   /* updates area */
div.admincomment{
	text-align: left;
    color:#555;
}

   /* comment area */
div.overallcomment{
	text-align: center;
}

.answer td {
    color:white;
}

div.comment_table
{
	text-align: center;
}
div.comment_table table
{
	margin: 0 auto;
	text-align: left;
}

   /* comment input field */
.comment{
	padding: 6px 6px;
	margin: 6px 0;
	display: inline-block;
	border: 1px solid #ccc;
	border-radius: 6px;
	box-sizing: border-box;
}

   /* comment post button */
.comment_btn{
	background: #46C;
	padding: 6px 6px;
	margin: 6px 0;
	display: inline-block;
	border: 1px solid #ccc;
	border-radius: 6px;
	box-sizing: border-box;
	-webkit-transition-duration: 0.4s; 
	transition-duration: 0.4s;
	color: #ddd;
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
}
.comment_btn:hover {
	background: #8AE;
	color: #fff;
	border: 1px solid #fff;
}


/* ------------ Guest column ------------ */
select.guestnum {
  padding: 0px 15px;
  font-size: 16px;
  border: 1px solid transparent;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  background-color: transparent;
}
select.guestnum:focus{
    border: 1px;
    outline: 1px solid yellow;
}

/* CAUTION: IE hackery ahead */
select.guestnum::-ms-expand { 
    display: none; /* remove default arrow on ie10 and ie11 */
}

/* target Internet Explorer 9 to undo the custom arrow */
@media screen and (min-width:0\0) {
    select.guestnum {
        background:none\9;
        padding: 5px\9;
    } 
}


/* ------------ Emoji column ------------ */

select.emoji {
  text-align: center;
  text-align-last: center;
  padding: 0px 15px;
  font-size: 16px;
  border: 1px solid transparent;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  background-color: transparent;
}
select.emoji:focus{
    border: 1px;
    outline: 1px solid yellow;
}

select.emoji:hover{
    border: 1px;
    outline: 1px solid yellow;
}

/* CAUTION: IE hackery ahead */
select.emoji::-ms-expand { 
    display: none; /* remove default arrow on ie10 and ie11 */
}

/* target Internet Explorer 9 to undo the custom arrow */
@media screen and (min-width:0\0) {
    select.emoji {
        background:none\9;
        padding: 5px\9;
    } 
}


/* ------------ tooltips ------------ */
.tooltip {
    position: relative;
    display: inline-block;
}

.tooltip .tooltiptext {
    visibility: hidden;
    width: 120px;
    background-color: black;
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 5px 0;
    position: absolute;
    z-index: 1;
    bottom: 110%;
    left: 0%;
    margin-left: -60px;
    margin-bottom: 10px;
    
    /* Fade in tooltip - takes 1 second to go from 0% to 100% opac: */
    opacity: 0;
    transition: opacity 2s;
}

.tooltip:hover .tooltiptext {
    visibility: visible;
    opacity: 1.0;
}

.tooltip .tooltiptext::after {
    content: "   ";
    position: absolute;
    top: 100%; /* At the bottom of the tooltip */
    left: 80%;
    margin-left: -5px;
    border-width: 10px;
    border-style: solid;
    border-color: black transparent transparent transparent;
}


/* ------------ map / iframe ------------ */
.iframe_container {
  overflow-x: auto;
  overflow-y: hidden;
  resize: both;
  position: relative;
  z-index: 1;
}
iframe {
  width: 100%;
  height: 100%;
  border: none;
}

#maparea_header {
    display: none;
}

#maparea_text {
    display: none;
}

/* ------------ Admin edit controls --------------------- */

/* New, Delete buttons */
#admin_controls {
    position: absolute;
    bottom: 5%; 
    right: 7%;
    display: none;
}

/* Column toggle help */
#admin_controls2 {
    color: #CD5C5C; 
	font-weight: bold;
	font-style: italic;
    display: none;
}

/* comment help */
#admin_controls3 {
    color: #CD5C5C; 
  font-size: 14px; /* Set a font size */
	font-weight: normal;
	font-style: italic;
    display: none;
}

/* drag/drop header image help */
#admin_controls4 {
    position: absolute;
    color: #CD5C5C; 
    bottom: 50%; 
    right: 10%;
    border: 3px solid #BD4C4C; 
    border-radius: 10px;
    background-color: #EEB0B0; 
    padding: 6px 8px; /* Some padding */
	font-style: italic;
    display: none;
}

/* transparency slider */
#tslider {
	-webkit-appearance: none;	
    width: 35px;
	height: 20px;
	background: #d3d3d3;
	  outline: none;
  opacity: 0.7;
  -webkit-transition: .2s;
  transition: opacity .2s;
  margin-left: 10px;
}

#tslider:hover {
  opacity: 1;
}

#tslider::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 7px;
  height: 25px;
  background: #CD5C5C;
  cursor: pointer;
}

#tslider::-moz-range-thumb {
  width: 7px;
  height: 25px;
  background: #CD5C5C;
  cursor: pointer;
}





.btn {
  background-color: #CD5C5C; 
  border: none; /* Remove borders */
  color: white; /* White text */
  padding: 6px 8px; /* Some padding */
  font-size: 16px; /* Set a font size */
  cursor: pointer; /* Mouse pointer on hover */
  margin: 5px;
  border-radius: 20px;
}

/* Darker background on mouse-over */
.btn:hover {
  background-color: #FA8072;
}

.btncol {
  background-color: #CD5C5C; 
  vertical-align: middle;
  border: none; /* Remove borders */
  color: white; /* White text */
  padding: 6px 8px; /* Some padding */
  font-size: 16px; /* Set a font size */
  cursor: pointer; /* Mouse pointer on hover */
  margin: 5px;
  border-radius: 4px;
}

/* Darker background on mouse-over */
.btncol:hover {
  background-color: #FA8072;
}

.GuestCol tr td:nth-child(3), .GuestCol tr th:nth-child(3) {
    display: none;
}
.NotesCol tr td:nth-child(4), .NotesCol tr th:nth-child(4) {
    display: none;
}
.EmojiCol tr td:nth-child(5), .EmojiCol tr th:nth-child(5) {
    display: none;
}

/* ------------ max guest selector ---------- */

.maxguest-select {
  position: relative;
  top: 50%;
  transform: translateY(-15%);
  -webkit-transform: translateY(-15%);
  font-family: Arial;
   height: 25px;
   overflow: hidden;
   width: 50px;
   -webkit-border-radius: 10px;
   -moz-border-radius: 10px;
   border-radius: 10px;
  background-color: #CD5C5C; 
  color: white; /* White text */
  vertical-align: middle;
  font-weight: bold;
  text-indent: 5px;
  margin-left: 10px;
}

.maxguest-select select {
   background: transparent;
  color: white; /* White text */
   border: none;
   font-size: 16px;
	font-weight: bold;
   height: 19px;
   padding: 5px; /* If you add too much padding here, the options won't show in IE */
   width: 40px;
  vertical-align: middle;
}

.maxguest-select:hover {
  background-color: #FA8072;
}

/* ------------ color selector ---------- */

.color-select {
  position: relative;
  top: 50%;
  transform: translateY(-15%);
  -webkit-transform: translateY(-15%);
  font-family: Arial;
   height: 35px;
   overflow: hidden;
   width: 100px;
   -webkit-border-radius: 20px;
   -moz-border-radius: 20px;
   border-radius: 20px;
  background-color: #CD5C5C; 
  color: white; /* White text */
  vertical-align: middle;
  font-weight: bold;
  text-indent: 5px;
}

.color-select select {
   background: transparent;
  color: white; /* White text */
   border: none;
   font-size: 16px;
	font-weight: bold;
   height: 29px;
   padding: 5px; /* If you add too much padding here, the options won't show in IE */
   width: 80px;
  vertical-align: middle;
}


.color-select:hover {
  background-color: #FA8072;
}

/* ------------ main table -------------- */
#customers th {
	font-weight: bold;
}

.smalltext {
  font-size: 11px;
}
